DTCALL(1)

NAME
dtcall - invokes a procedure on a remote DType server

SYNOPSIS
dtcall port hostname method [ arguments ...] port is either a decimal number, a registered service name, or a "touch-tone encoded" service name converted into an integer port number based on the "touch tone" encoding.

DESCRIPTION
dtcall connects to the remote DType server running on hostname and listening for requests on port and requests the invocation of method on arguments. It prints the resulting values to the standard output. As with fdscript(1), an argument of a single dollar sign ($) passes the whole contents of the standard input to the remote procedure as a string and an argument of a single dash (-) parses lisp objects from the standard input and passes them (as a FramerD choice) to the remote procedure.

OPTIONS
No options

DIAGNOSTICS
The program reports an error if the remote server fails to respond or if the server id cannot be resolved.

BUGS
No known bugs

Revision Info
$Id: dtcall.1,v 1.2 2002/04/02 22:21:06 haase Exp $

AUTHOR
Ken Haase < kh@beingmeta.com >

SEE ALSO
fdserver(1) DTypes(1)